/**
 * 
 */
package org.springblade.etl.connector.transform;

import org.springblade.etl.connector.base.SeatunnelConnector;
import org.springblade.etl.connector.transform.config.SeatunnelColumnAddTransformConfig;
import org.springblade.etl.util.EtlJsonUtil;
import org.springblade.etl.util.ValidateUtil;
import org.springframework.stereotype.Component;

/**
 * @author wookvn
 *
 */
@Component
public class PlatomixColumnAddTransform implements SeatunnelConnector<SeatunnelColumnAddTransformConfig> {

	@Override
	public SeatunnelColumnAddTransformConfig buildConfig(String configJson) {
		return (SeatunnelColumnAddTransformConfig)validate(configJson);
	}

	@Override
	public Object validate(String configJson) {
		SeatunnelColumnAddTransformConfig config = EtlJsonUtil.parseJsonString(configJson, SeatunnelColumnAddTransformConfig.class);
		ValidateUtil.validate(config);
		ValidateUtil.validate(config.getFields());
		return config;
	}

}
